Updates fail: "The repository does no longer have a Release file"

  • Since last night I have been getting these emails from my OMV installation (4.1.36-1) and I get the same errors in the webGUI Update Management:


    Code
    E: The repository 'https://dl.bintray.com/openmediavault-plugin-developers/arrakis stretch Release' does no longer have a Release file.
    E: The repository 'https://dl.bintray.com/openmediavault-plugin-developers/arrakis-plex stretch Release' does no longer have a Release file.
    E: The repository 'https://dl.bintray.com/openmediavault-plugin-developers/arrakis-docker stretch Release' does no longer have a Release file.


    Now the issue obviously is that the repo no longer has the requested Release files. Is there another repo I can use to fix this and which file(s) do I need to update? Thank you in advance :)

  • So there is nothing else I can do except upgrade to OMV5?

    Did you read the other post? You can manually update your repos and add the new signing key if you insist on staying on OMV 4.x. Why do you need to stay on the unsupported version?


    There are upgrade scripts - Upgrade Scripts for non-interactive major release upgrades (2->3, 3->4, 4->5)

    omv 5.6.5 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.1
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Did you read the other post? You can manually update your repos and add the new signing key if you insist on staying on OMV 4.x. Why do you need to stay on the unsupported version?


    There are upgrade scripts - Upgrade Scripts for non-interactive major release upgrades (2->3, 3->4, 4->5)

    Thanks, I did read the post but I didn't find/understand the necessary information needed to update my repos. I followed the link at https://wiki.omv-extras.org/ to OMV-Extras.org Plugin and tried the steps mentioned there but it did not work, and I saw nowhere what I should update my repos to or how to actually do it.


    In any case I agree it's best to the upgrade route. I have been putting it off because installing OMV4 was quite a lot of work with a lot of issues and I'm afraid I'll have the same problems again. Oh well, I guess I'll just have to bite the bullet and try the script :)

  • Why do you need to stay on the unsupported version?

    I can't speak for anyone other than myself, but I've been working 15 hour days for the last year plus and just don't have the time to run through the upgrade process (using the scripts) and work through fixing whatever fails or doesn't complete successfully. My server has been 100% critical for the other 4 members of my household since they can't get out .

  • how to actually do it.

    It isn't documented anywhere. My goal was to get people to update. If I documented it, I might as well update the 4.x plugin. The remove the omv-extras repos since there won't be any updates. sudo rm /etc/apt/sources.list.d/omv-extras-org.list


    I can't speak for anyone other than myself, but I've been working 15 hour days for the last year plus and just don't have the time to run through the upgrade process (using the scripts) and work through fixing whatever fails or doesn't complete successfully. My server has been 100% critical for the other 4 members of my household since they can't get out .

    This doesn't break your server. Just remove the file above.

    omv 5.6.5 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.1
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • And no matter what, I can't put anything in the bintray repos (since they no longer exist - not my fault) to make an easy update.

    omv 5.6.5 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.1
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!